# This script was automatically generated from the dsa-545
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Alvaro Martinez Echevarria discovered a problem in CUPS, the Common
UNIX Printing System.  An attacker can easily disable browsing in CUPS
by sending a specially crafted UDP datagram to port 631 where cupsd is
running.

For the stable distribution (woody) this problem has been fixed in
version 1.1.14-5woody6.

For the unstable distribution (sid) this problem has been fixed in
version 1.1.20final+rc1-6.
We recommend that you upgrade your cups packages.


Solution: http://www.debian.org/security/2004/dsa-545
Risk factor: High';

if (description) {
 script_id(15382);
 script_version('$Revision: 1.3 $');
 script_xref(name: 'DSA', value: '545');
 script_cve_id("CAN-2004-0558");

 script_description(english: desc);
 script_copyright(english: "(C) 2004 Michel Arboi");
 script_name(english: "[DSA545] DSA-545-1 cupsys");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-545-1 cupsys");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libcupsys2', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsys2 is vulnerable to a flaw in Debian 3.0.\nUpgrade to libcupsys2_1.1.14-5woody6\n');
}
if (deb_check(prefix: 'cupsys', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys is vulnerable to a flaw in Debian 3.0.\nUpgrade to cupsys_1.1.14-5woody6\n');
}
if (deb_check(prefix: 'cupsys-pstoraster', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-pstoraster is vulnerable to a flaw in Debian 3.0.\nUpgrade to cupsys-pstoraster_1.1.14-5woody6\n');
}
if (deb_check(prefix: 'libcupsys2-dev', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsys2-dev is vulnerable to a flaw in Debian 3.0.\nUpgrade to libcupsys2-dev_1.1.14-5woody6\n');
}
if (deb_check(prefix: 'cupsys-client', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-client is vulnerable to a flaw in Debian 3.0.\nUpgrade to cupsys-client_1.1.14-5woody6\n');
}
if (deb_check(prefix: 'cupsys-bsd', release: '3.0', reference: '1.1.14-5woody6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-bsd is vulnerable to a flaw in Debian 3.0.\nUpgrade to cupsys-bsd_1.1.14-5woody6\n');
}
if (w) { security_hole(port: 0, data: desc); }
